#!c:\perl\bin\perl.exe -w
#
#Sample Trigger to demonstrate adding fields
#
#Triggers:
#   frmChange form-out change "c:\perl\bin\perl.exe c:\my_ws\perl_progs\frmChangeOut.pl %formfile%"
#

use strict;
use Fatal qw/ open /;

my $debug = 0; #change it to "1" if you want to show the debug output
my $formfile = $ARGV[0];

my $chngForm = "";

open(FORM, "$formfile"); #open change spec.

my $branchAorB = 0;
#determined whether it's relA or relB
while(<FORM>) {

   if(/(\/\/depot\/relA).*$/) {
	$branchAorB = 0;
	if($debug == 1) {
           print "depot: $1 A: 0, $branchAorB";
	}
   } elsif(/(\/\/depot\/relB).*$/) {
	$branchAorB = 1;
	if($debug == 1) {
           print "depot: $1 B: 1, $branchAorB";
	}
   }
}
close(FORM);

open(FORM, "$formfile"); #open change spec.
#inserts the field based on the relA or relB codeline
while(<FORM>) {

   if($branchAorB == 0 && /<enter description here>/) { #if found this entry,
	$_ = "\tCompany: Perforce Software"; #replace with this line
   }
   $chngForm .= $_; #append the string
}
close(FORM);

open(MODFORM, ">$formfile");
print MODFORM $chngForm; #write the entire string including line-ending to
			 #the formfile
close(MODFORM);
